# is_piv_rule

Checks if the specified pivot rule is active.

unsigned char is_piv_rule(lprec *lp, int rule);

Return Value

is_piv_rule returns TRUE if the specified pivot rule is active, else FALSE

Parameters

lp

Pointer to previously created lp model. See return value of make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI

rule

Can be one of the following values:

PRICER_FIRSTINDEX (0) | Select first
PRICER_DANTZIG (1) | Select according to Dantzig
PRICER_DEVEX (2) | Devex pricing from Paula Harris
PRICER_STEEPESTEDGE (3) | Steepest Edge

Remarks

This rule can influence solving times considerably. Depending on the model one rule can be best and for another model another rule.
The default is PRICER_DEVEX (2).

Example

    #include <stdio.h>
    #include <stdlib.h>
    #include "lp_lib.h"

    int main(void)
    {
      lprec *lp;
      unsigned char piv_rule;

      /* Create a new LP model */
      lp = make_lp(0, 0);
      if(lp == NULL) {
        fprintf(stderr, "Unable to create new LP model\n");
        return(1);
      }

      piv_rule = is_piv_rule(lp, PRICER_FIRSTINDEX);

      delete_lp(lp);
      return(0);
    }

lp_solve API reference

See Also make_lp, copy_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI, get_pivoting, set_pivoting, is_piv_mode